Bug 447642 - Double free or corruption in multipath on SAN controller failure
Double free or corruption in multipath on SAN controller failure
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.1
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Ben Marzinski
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 18:11 EDT by Craig Miskell
Modified: 2011-02-23 18:55 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-23 18:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Miskell 2008-05-20 18:11:44 EDT
Description of problem:
Our HP EVA 6000 SAN had a controller fail; multipathd on one of our DL585s 
running RHEL 5.1 x86_64 crashed with the following (manually transcribed):
*** glibc detected *** /sbin/multipathd: double free or corruption (fasttop): 
0x000000001a1d62aa0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x415566f4f4]
/lib64/libc.so.6(cfree+0x8c)[0x3155672b1c]
/sbin/multipathd(xfree+0x27)[0x4168b9]
/sbin/multipathd[0x428f1d]
/sbin/multipathd[0x429ddb]
/sbin/multipathd[0x42a076]
/sbin/multipathd[0x42a561]
/sbin/multipathd[0x42c264]
/sbin/multipathd[0x42c37f]
/lib64/libpthread.so.0[0x31586062f7]
/lib64/libc.so.6(clone+0x6d)[0x31556ce85d]
====== Memory map: =====
<memory map excluded; long, tedious, didn't have time to type it>

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.7-12.el5_1.3.x86_64

How reproducible:
Only happened once; not keen to cause it to happen again.  Worth noting that a 
very similar server (same model and spec, bought same time, also RHEL 5.1 
x86_64 running multipath) didn't have any problems (failover occurred 
gracefully)


Steps to Reproduce:
1.
2.
3.
  
Actual results:
multipathd crashed

Expected results:
multipathd stays up and handles the failover gracefully

Additional info:
Comment 2 Ben Marzinski 2010-05-12 13:26:51 EDT
Has this ever recreated.  If there is no more information, I'm going to close this bugzilla.
Comment 3 Ben Marzinski 2011-02-23 18:55:31 EST
There's not enough data here to go on.  If you can recreate this bug, feel free to reopen this bugzilla.

Note You need to log in before you can comment on or make changes to this bug.